# inspired from fedora spec file
# Copyright (c) 2016 Remi Collet
# License: CC-BY-SA
# http://creativecommons.org/licenses/by-sa/4.0/

%define github_name     sabre-xml
%define composer_name   xml
%define composer_vendor sabre

%define php_libdir %{_datadir}/php

%define __requires_exclude_from ^%{_datadir}/.*$

Name:           php-%{composer_vendor}-%{composer_name}
Summary:        XML library that you may not hate
Version:        4.0.0
Release:        %mkrel 1
License:        BSD
Group:          Development/PHP
URL:            http://sabre.io/xml
Source0:        https://github.com/sabre-io/xml/archive/refs/tags/%{version}.tar.gz
Source1:        %{name}-autoload.php
BuildArch:      noarch
# From composer.json, "require" : {
#        "php" : ">=5.5.5",
#        "ext-xmlwriter" : "*",
#        "ext-xmlreader" : "*",
#        "ext-dom" : "*",
#        "lib-libxml" : ">=2.6.20",
#        "sabre/uri" : ">=1.0,<3.0.0"
Requires:       php >= 5.5.5
Requires:       php-xmlwriter
Requires:       php-xmlreader
Requires:       php-dom
Requires:       php-composer(sabre/uri) >= 1.0
# From phpcompatinfo report for version 1.4.0
Requires:       php-pcre
# Autoloader
Requires:       php-composer(fedora/autoloader)

Provides:       php-composer(sabre/xml) = %{version}


%description
The sabre/xml library is a specialized XML reader and writer.

Autoloader: %{php_libdir}/Sabre/Xml/autoload.php

%prep
%setup -qn xml-%{version}
cp %{SOURCE1} lib/autoload.php

%build

%install
mkdir -p %{buildroot}%{php_libdir}/Sabre
cp -pr lib %{buildroot}%{php_libdir}/Sabre/Xml

%files
%doc LICENSE
%doc *md
%doc composer.json
%{php_libdir}/Sabre/Xml


%changelog
* Sat Nov 19 2022 mokraemer <mokraemer> 4.0.0-1.mga9
+ Revision: 1908796
- new version 4.0.0

* Tue Apr 19 2022 mokraemer <mokraemer> 2.2.5-1.mga9
+ Revision: 1851823
- new version 2.2.5

* Mon Mar 21 2022 umeabot <umeabot> 1.5.1-3.mga9
+ Revision: 1811515
- Mageia 9 Mass Rebuild

* Sat Feb 15 2020 umeabot <umeabot> 1.5.1-2.mga8
+ Revision: 1523924
- Mageia 8 Mass Rebuild

* Sat Mar 16 2019 guillomovitch <guillomovitch> 1.5.1-1.mga7
+ Revision: 1377913
- new version 1.5.1

* Wed Sep 19 2018 umeabot <umeabot> 1.5.0-2.mga7
+ Revision: 1274178
- Mageia 7 Mass Rebuild

* Fri May 05 2017 guillomovitch <guillomovitch> 1.5.0-1.mga6
+ Revision: 1099133
- imported package php-sabre-xml

